petsc-3.6.2 2015-10-02
Report Typos and Errors

# TSMonitorLGGetVariableNames

Gets the name of each component in the solution vector so that it may be displayed in the plot

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSMonitorLGGetVariableNames(TS ts,const char *const **names)

Collective on TS

### Input Parameter

ts -the TS context

### Output Parameter

names -the names of the components, final string must be NULL

### Keywords

TS, vector, monitor, view

### See Also

TSMonitorSet(), TSMonitorDefault(), VecView(), TSMonitorLGSetDisplayVariables()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/extchem.c.html